List webhook deliveries
GET /v1/webhook-deliveries · SDK listWebhookDeliveries · CLI deployments webhook-delivery list
Requires webhooks:read.
AuthorizationBearer <token>Opaque bearer credential scoped to one service account and tenant.
cursor?stringOpaque cursor returned by the previous page.
1 <= length <= 4096limit?integerMaximum number of resources to return.
1 <= value <= 100webhookId?stringOnly return deliveries for this webhook subscription.
status?stringOnly return deliveries in this status.
"delivered""failed""pending""retrying""sending"x-deployments-environment?stringRequired with a platform bearer JWT, where the three tenant headers select an environment the caller can access through active organization membership. Optional with an API key; when supplied, it must match the key's tenant.
^[0-7][0-9A-HJKMNP-TV-Z]{25}$x-deployments-organization?stringRequired with a platform bearer JWT, where the three tenant headers select an environment the caller can access through active organization membership. Optional with an API key; when supplied, it must match the key's tenant.
^[0-7][0-9A-HJKMNP-TV-Z]{25}$x-deployments-project?stringRequired with a platform bearer JWT, where the three tenant headers select an environment the caller can access through active organization membership. Optional with an API key; when supplied, it must match the key's tenant.
^[0-7][0-9A-HJKMNP-TV-Z]{25}$ListWebhookDeliveriesResponse
application/json- response
deliveries*array<>nextCursor?|nullcurl -X GET "https://example.com/v1/webhook-deliveries"{ "deliveries": [ { "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "version": 0, "environmentId": "string", "organizationId": "string", "projectId": "string", "aggregateId": "string", "aggregateType": "string", "aggregateVersion": 0, "attempt": 0, "eventId": "string", "eventType": "string", "failureReason": "attempts-exhausted", "id": "string", "lastAttemptAt": "2019-08-24T14:15:22Z", "lastError": "string", "manualRetryRequestedAt": "2019-08-24T14:15:22Z", "maxAttempts": 0, "nextAttemptAt": "2019-08-24T14:15:22Z", "object": "webhook-delivery", "responseCode": 0, "responseHeaders": { "property1": null, "property2": null }, "retentionExpiresAt": "2019-08-24T14:15:22Z", "status": "delivered", "webhookEndpointId": "string" } ], "nextCursor": "string"}